Severity (Java Platform SE 8 )
Keywords: javax.print.attribute.standard.Severity class
Date: 2026-07-22

javax.print.attribute.standard

## Class Severity

- java.lang.Object
- - javax.print.attribute.EnumSyntax
  - - javax.print.attribute.standard.Severity

- All Implemented Interfaces:
    Serializable, Cloneable, Attribute

      public final class Severity
      extends EnumSyntax
      implements Attribute

  Class Severity is a printing attribute class, an enumeration, that denotes the severity of a `PrinterStateReason` attribute.

  Instances of Severity do not appear in a Print Service's attribute set directly. Rather, a `PrinterStateReasons` attribute appears in the Print Service's attribute set. The `PrinterStateReasons` attribute contains zero, one, or more than one `PrinterStateReason` objects which pertain to the Print Service's status, and each `PrinterStateReason` object is associated with a Severity level of REPORT (least severe), WARNING, or ERROR (most severe). The printer adds a `PrinterStateReason` object to the Print Service's `PrinterStateReasons` attribute when the corresponding condition becomes true of the printer, and the printer removes the `PrinterStateReason` object again when the corresponding condition becomes false, regardless of whether the Print Service's overall `PrinterState` also changed.

  IPP Compatibility: `Severity.toString()` returns either "error", "warning", or "report". The string values returned by each individual `PrinterStateReason` and associated `Severity` object's `toString()` methods, concatenated together with a hyphen (`"-"`) in between, gives the IPP keyword value for a `PrinterStateReasons`. The category name returned by `getName()` gives the IPP attribute name.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Severity` | `ERROR` Indicates that the `PrinterStateReason` is an "error" (most severe).
    `static Severity` | `REPORT` Indicates that the `PrinterStateReason` is a "report" (least severe).
    `static Severity` | `WARNING` Indicates that the `PrinterStateReason` is a "warning." An implementation may choose to omit some or all warnings.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Severity(int value)` Construct a new severity enumeration value with the given integer value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends Attribute>` | `getCategory()` Get the printing attribute class which is to be used as the "category" for this printing attribute value.
    `protected EnumSyntax[]` | `getEnumValueTable()` Returns the enumeration value table for class Severity.
    `String` | `getName()` Get the name of the category of which this attribute value is an instance.
    `protected String[]` | `getStringTable()` Returns the string table for class Severity.

    - ### Methods inherited from class javax.print.attribute.EnumSyntax

      `clone, getOffset, getValue, hashCode, readResolve, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### REPORT

          public static final Severity REPORT

      Indicates that the `PrinterStateReason` is a "report" (least severe). An implementation may choose to omit some or all reports. Some reports specify finer granularity about the printer state; others serve as a precursor to a warning. A report must contain nothing that could affect the printed output.

    - #### WARNING

          public static final Severity WARNING

      Indicates that the `PrinterStateReason` is a "warning." An implementation may choose to omit some or all warnings. Warnings serve as a precursor to an error. A warning must contain nothing that prevents a job from completing, though in some cases the output may be of lower quality.

    - #### ERROR

          public static final Severity ERROR

      Indicates that the `PrinterStateReason` is an "error" (most severe). An implementation must include all errors. If this attribute contains one or more errors, the printer's `PrinterState` must be STOPPED.

  - ### Constructor Detail

    - #### Severity

          protected Severity(int value)

      Construct a new severity enumeration value with the given integer value.
      Parameters:
        `value` - Integer value.

  - ### Method Detail

    - #### getStringTable

          protected String[] getStringTable()

      Returns the string table for class Severity.
      Overrides:
        `getStringTable` in class `EnumSyntax`
      Returns:
        the string table

    - #### getEnumValueTable

          protected EnumSyntax[] getEnumValueTable()

      Returns the enumeration value table for class Severity.
      Overrides:
        `getEnumValueTable` in class `EnumSyntax`
      Returns:
        the value table

    - #### getCategory

          public final Class<? extends Attribute> getCategory()

      Get the printing attribute class which is to be used as the "category" for this printing attribute value.

      For class Severity, the category is class Severity itself.

      Specified by:
        `getCategory` in interface `Attribute`
      Returns:
        Printing attribute class (category), an instance of class `java.lang.Class`.

    - #### getName

          public final String getName()

      Get the name of the category of which this attribute value is an instance.

      For class Severit, the category name is `"severity"`.

      Specified by:
        `getName` in interface `Attribute`
      Returns:
        Attribute category name.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.